SoulFire LogoSoulFire

Find inventory slots

POST
/v1/inventory:find

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

scope?
selector?
areas?array<>

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/inventory:find" \  -H "Content-Type: application/json" \  -d '{    "areas": []  }'
{  "slots": [    {      "slot": 0,      "area": "INVENTORY_AREA_UNSPECIFIED",      "item": {        "itemId": "string",        "count": 0,        "maxStackSize": 0,        "damage": 0,        "maxDamage": 0,        "customName": {          "plainText": "string",          "json": "string"        },        "lore": [          {            "plainText": "string",            "json": "string"          }        ],        "enchantments": [          {            "enchantmentId": "string",            "level": 0          }        ],        "food": {          "nutrition": 0,          "saturationModifier": 0.1,          "canAlwaysEat": true,          "eatSeconds": 0.1        },        "tool": {          "toolTags": [            "string"          ],          "defaultMiningSpeed": 0.1,          "harvestLevel": 0        },        "armor": {          "equipmentSlot": "string",          "defense": 0,          "toughness": 0.1,          "knockbackResistance": 0.1        },        "components": {},        "customDataNbt": "string",        "fingerprint": "string",        "potion": {          "potionId": "string",          "effects": [            {              "effectId": "string",              "amplifier": 0,              "durationTicks": 0,              "ambient": true,              "visible": true,              "showIcon": true            }          ],          "color": 0        }      },      "mayPlace": true,      "mayPickup": true    }  ],  "revision": "string"}

How is this page?